System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.ComponentModel.Design.IServiceContainer System.IDisposable System.IServiceProvider

The object can be used to store and provide services. implements the interface.

The object can be created using a constructor that adds a parent through which services can be optionally added to or removed from all parent objects, including the immediate parent . To add or remove a service from all implementations that are linked to this through parenting, call the or method overload that accepts a Boolean value indicating whether to promote the service request.

The attribute applied to this class has the following property value: . The does not affect desktop applications (which are typically started by double-clicking an icon, typing a command, or entering a URL in a browser). For more information, see the class or SQL Server Programming and Host Protection Attributes.

Provides a simple implementation of the interface. This class cannot be inherited.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The service container uses this service object provider to retrieve services, if they are not available locally in the container.

  Initializes a new instance of the class using the specified parent service provider.

  A parent service provider.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Adds the specified service to the service container.

  The type of service to add. A callback object that can create the service. This allows a service to be declared as available, but delays creation of the object until the service is requested.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Adds the specified service to the service container.

  The type of service to add. An instance of the service to add. This object must implement or inherit from the type indicated by the parameter.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` To be added

  Adds the specified service to the service container.

  The type of service to add. A callback object that can create the service. This allows a service to be declared as available, but delays creation of the object until the service is requested. true if this service should be added to any parent service containers; otherwise, false.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` To be added

  Adds the specified service to the service container.

  The type of service to add. An instance of the service type to add. This object must implement or inherit from the type indicated by the parameter. true if this service should be added to any parent service containers; otherwise, false.
- Property
  2.0.0.0
  4.0.0.0
  System.Type[] To be added.

  This property returns the default services that are implemented directly on this . the default implementation of this property is to return the and types. You may override this property and return your own types, modifying the default behavior of .

  Gets the default services implemented directly by .

- Method
  2.0.0.0
  4.0.0.0
  System.Void

  walks all instantiated services within the container and disposes any that implement , and clears the service list.

  Call when you are finished using the . The method leaves the in an unusable state. After calling , you must release all references to the so the garbage collector can reclaim the memory that the was occupying. For more information, see Cleaning Up Unmanaged Resources and Implementing a Dispose Method.

  Always call before you release your last reference to the . Otherwise, the resources it is using will not be freed until the garbage collector calls the object's Finalize method.

  Disposes this service container.

- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  walks all instantiated services within the container and disposes any that implement , and clears the service list.

  This method is called by the public Dispose() method and the method. Dispose() invokes the protected Dispose(Boolean) method with the parameter set to true. invokes Dispose with set to false.

  When the parameter is true, this method releases all resources held by any managed objects that this references. This method invokes the Dispose() method of each referenced object.

  Disposes this service container.

  true if the is in the process of being disposed of; otherwise, false.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` To be added

  Gets the requested service.

  An instance of the service if it could be found, or null if it could not be found.

  The type of service to retrieve.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Removes the specified service type from the service container.

  The type of service to remove.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Removes the specified service type from the service container.

  The type of service to remove. true if this service should be removed from any parent service containers; otherwise, false.